h2 + p{ /*HERMANO CERCANO: Aplicar el color rojo a todos los parrafos que esten cerca a un H2 (elemento de arriba)*/
    color: red;
}

h2 ~ p{ /*HERMANO GENERAL: Modificar todas las etiquetas de parrafo que tengan como hermano general H2 (existan en la misma linea)*/
    color: orange;
}

div > p{ /*HIJO DIRECTO: La etiqueta P que sea hija directa de una etiqueta DIV*/
    color: green;
}

div p{ /*DESCENDIENTE: Todas las etiquetas que esten dentro de un contenedor/etiqueta*/
    color: purple;
}